# DO NOT EDIT!!! built with `python _building/build_setup.py`
import setuptools
setuptools.setup(
    name="k3etcd",
    packages=["k3etcd"],
    version="0.1.0",
    license='MIT',
    description='A python client for Etcd https://github.com/coreos/etcd This module will only work correctly with the etcd server version 2.3.x or later.',
    long_description='# k3etcd\n\n[![Action-CI](https://github.com/pykit3/k3etcd/actions/workflows/python-package.yml/badge.svg)](https://github.com/pykit3/k3etcd/actions/workflows/python-package.yml)\n[![Build Status](https://travis-ci.com/pykit3/k3etcd.svg?branch=master)](https://travis-ci.com/pykit3/k3etcd)\n[![Documentation Status](https://readthedocs.org/projects/k3etcd/badge/?version=stable)](https://k3etcd.readthedocs.io/en/stable/?badge=stable)\n[![Package](https://img.shields.io/pypi/pyversions/k3etcd)](https://pypi.org/project/k3etcd)\n\nA python client for Etcd https://github.com/coreos/etcd This module will only work correctly with the etcd server version 2.3.x or later.\n\nk3etcd is a component of [pykit3] project: a python3 toolkit set.\n\n\n#   Description\n\nA python client for Etcd https://github.com/coreos/etcd\n\nThis module will only work correctly with the etcd server version 2.3.x or later.\n\n\n\n\n# Install\n\n```\npip install k3etcd\n```\n\n# Synopsis\n\n```python\n\nimport k3etcd\n\nhosts=(\n    (\'192.168.0.100\', 2379),\n    (\'192.168.0.101\', 2379),\n    (\'192.168.0.102\', 2379),\n)\n\ntry:\n    c = k3etcd.Client(host=hosts)\n    c.set(\'test_key\', \'test_val\')\n    res = c.get(\'test_key\')\n    # type(res) is EtcdKeysResult\n    # res.key == \'test_key\'\n    # res.value == \'test_val\'\n    # res.dir == False\n    # ...\n\n    # c.st_leader\n    # out type is `dict`\n    # {\n    #   "leader": "991200c666cc4678",\n    #   "followers":{\n    #       "183ebbe2e22ee250": {\n    #           "latency": {\n    #               "current": 0.00095,\n    #               "average": 0.09798531413612557,\n    #               "standardDeviation": 1.3282931634902915,\n    #               "minimum": 0.000635,\n    #               "maximum": 18.407235\n    #           },\n    #           "counts": {\n    #               "fail": 0,\n    #               "success": 191\n    #           }\n    #       },\n    #       "291578612bc6deb": {\n    #           "latency": {\n    #               "current": 0.000949,\n    #               "average": 0.001928250000000001,\n    #               "standardDeviation": 0.0018525034545722491,\n    #               "minimum": 0.000876,\n    #               "maximum": 0.017505\n    #           },\n    #           "counts": {\n    #               "fail": 0,\n    #               "success": 188\n    #           }\n    #       },\n    #   }\n    # }\n\n    # c.st_self\n    # out type is `dict`\n    #   {\n    #       "name": "node_1",\n    #       "id": "991200c666cc4678",\n    #       "state": "StateLeader",\n    #       "startTime": "2017-06-14T05:20:04.334273309Z",\n    #       "leaderInfo": {\n    #           "leader": "991200c666cc4678",\n    #           "uptime": "4h41m55.43860796s",\n    #           "startTime": "2017-06-14T05:20:04.477688456Z"\n    #       },\n    #       "recvAppendRequestCnt": 0,\n    #       "sendAppendRequestCnt": 736\n    #   }\n\n    # c.st_store\n    # out type is `dict`\n    #   {\n    #       "getsSuccess": 4,\n    #       "getsFail": 7,\n    #       "setsSuccess": 53,\n    #       "setsFail": 0,\n    #       "deleteSuccess": 24,\n    #       "deleteFail": 2,\n    #       "updateSuccess": 2,\n    #       "updateFail": 0,\n    #       "createSuccess": 7,\n    #       "createFail": 1,\n    #       "compareAndSwapSuccess": 3,\n    #       "compareAndSwapFail": 1,\n    #       "compareAndDeleteSuccess": 0,\n    #       "compareAndDeleteFail": 0,\n    #       "expireCount": 3,\n    #       "watchers": 0\n    #   }\n\n    n = c.names\n    # get names of etcd servers\n    # n=[\'node1\', \'node2\', \'node3\']\n\n    ids = c.ids\n    # get ids of etcd servers\n    # ids=[\'fca771384ed46928\', \'991200c666cc4678\', \'4768ce54ee212c95\']\n\n    peerurls = [\'http://192.168.0.103:2380\']\n    c.add_member(*peerurls)\n    # only register new node\n    # after it, start the server\n\n    peerurls = [\'http://192.168.0.102:4380\']\n    c.change_peerurls(\'fca771384ed46928\', *peerurls)\nexcept k3etcd.EtcdException as e:\n    print(repr(e))\n\n```\n\n#   Author\n\nZhang Yanpo (张炎泼) <drdr.xp@gmail.com>\n\n#   Copyright and License\n\nThe MIT License (MIT)\n\nCopyright (c) 2015 Zhang Yanpo (张炎泼) <drdr.xp@gmail.com>\n\n\n[pykit3]: https://github.com/pykit3',
    long_description_content_type="text/markdown",
    author='Zhang Yanpo',
    author_email='drdr.xp@gmail.com',
    url='https://github.com/pykit3/k3etcd',
    keywords=['python', 'etcd'],
    python_requires='>=3.0',

    install_requires=['k3ut<0.2,>=0.1.15', 'k3utfjson>=0.1.1,<0.2', 'k3utdocker<0.2,>=0.1.0', 'k3http<0.2,>=0.1.0'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Libraries',
    ] + ['Programming Language :: Python :: 3'],
)
